{% include "modules/head.html" %}
{% include "modules/navbar.html" %}

<body>
  <div class="bloc">
    <h1>Formulaire de création de compte </h1>
    <div class="bloc_descrip">
      <form method="post" action="{{ url_for('traitement_creation_compte') }}">
        <p>Veuillez saisir le nom de compte (taille doit être comprise entre 4 et 20 caractères) : </p>
            <input type="text" name="nom_de_compte" required
             minlength="4" maxlength="20" size="20">
            <br><br>

       <p>Veuillez saisir le mail :</p>
            <input type="email" name="mail" required>
            <br><br>
             
       <p>Veuillez saisir le mot de passe (taille doit être comprise entre 4 et 20 caractères) : </p>
            <input type="password" name="mot_de_passe_1" required
             minlength="4" maxlength="20" size="20">
            <br><br> 

       <p>Veuillez confirmer votre mot de passe : </p>
            <input type="password" name="mot_de_passe_2" required
             minlength="4" maxlength="20" size="20">
            <br><br>
             
       <p>Veuillez saisir le niveau du compte : </p>
            <select name="niveau_de_compte" required>
              <option value=""></option>
              <option value="1">1</option>
              <option value="2">2</option>
              <option value="3">3</option>
              <option value="4">4</option>
            </select>
          <button type="submit">Ok</button>
       </form>
    </div>
  </div>
</body>
</html>